// This program is designed for STR-P711 Board.
// It shows how to work with UART interface

#include "system.h"
#include "uart.h"
#include <iostr711.h>

//it's a simple delay
void Delay (unsigned long a) { while (--a!=0); }


int main()
{

  // Init frecuency
  FreqInit();

  // System init
  SysInit();

  // Init UART Interface
  InitUART0();
  InitUART1();



  // loop forever
  while(1) {

    // echo for UART0
    if(UART0_SR_bit.RxBufNotEmpty) {
      UART0_SendChar(UART0_RXBUFR);
      UART0_SendChar('*');
    }

    // echo for UART1
    if (UART1_SR_bit.RxBufNotEmpty) {
      UART1_SendChar(UART1_RXBUFR);
      UART1_SendChar('*');
    }
  }

}
