// system.c
#include "system.h"
#include "bits.h"
#include <iostr711.h>
#include <inarm.h>


// Init frecuency
void FreqInit(void) {

  while((PRCCU_PWRCR & 0x1000) == 0);  // wait for stable Main Voltage Regulator

  PRCCU_PLL1CR_bit.FREF_RANGE = 1;   // CK > 3MHz
  PRCCU_PLL1CR_bit.FREEN = 1;        // disable free running

  PRCCU_PLL1CR_bit.MX0 = 1;          // PLL1*12
  PRCCU_PLL1CR_bit.MX1 = 0;

  PRCCU_PLL1CR_bit.DX0 = 0;          // divide PLL1 na 1
  PRCCU_PLL1CR_bit.DX1 = 0;
  PRCCU_PLL1CR_bit.DX2 = 0;

  PRCCU_CFR_bit.DIV2 = 0;            // CK=CK2
  PRCCU_CFR_bit.CK2_16 = 1;          // select PLL1
  PRCCU_CFR_bit.CSU_CKSEL = 1;

  while ((PRCCU_CFR & 0x1) == 0);    //wait for lock PLL1

  PRCCU_PDIVR_bit.FACT1=2;           //PCLK1 = RCLK/4 = 12MHz
  PRCCU_PDIVR_bit.FACT2=2;           //PCLK2 = RCLK/4 = 12MHz

}

// Init ports and periphery
void SysInit(void) {

  // all ports as input
  IOPORT0_PC0=0xFFFF;
  IOPORT0_PC1=0;
  IOPORT0_PC2=0;

  // all ports as input
  IOPORT1_PC0=0xFFFF;
  IOPORT1_PC1=0;
  IOPORT1_PC2=0;

}
